Subject: Re: Bug#531221: okular: Arbitrarily enforces DRM

From: Sune Vuorela <[email-masked]>
Date: Sun, 31 May 2009 12:13:58 +0200

tag 531221 wontfix
thanks

On Sunday 31 May 2009 02:09:11 John Goerzen wrote:
> Package: okular
> Version: 4:4.2.2-2
> Severity: normal
>
> I'm CCing this to Debian-devel because I think it speaks to a larger
> issue.
>
> I just downloaded a PDF, and tried to copy and paste a bit of text
> from it.  I used the selection tool, and Okular offered to speak it to
> me, but said "Copy forbidden by DRM."

So. you want Okular to by default help you with violating conditions of use of 
the document you downloaded?

Is the next step to make Debian help more active to by default violate the 
conditions of use of software?

If you download files with license issues that you don't like, I'm not sure you 
should blame it on the software use to view the files.

You even have a check box to make it possible for you to violate the 
conditions of use of the document if you really really want it.

> So what I want to know is: why are people putting code into Debian
> that limits our freedom?  Why are people putting such code into KDE?
>
> And can we please patch it to stop that?

Why are you downloading files that limits your freedom?

(I don't like DRM, but the right way to fight it is not to ignore the terms, 
but to get the people providing the content to stop using it)

/Sune
 - who are putting such code into Debian.

1d488450ffb075c1d844b032952f3202faa6ff3dba9d8069f742a300bad92f99  ddtext
-- 
I cannot telnet to the icon, how does it work?

First from Flash MX 6.9 you should boot the front-end, so that you either need 
to remove from a LCD DVD mousepad, or can never turn on the controller on the 
ISA proxy over a serial 3D fan on a case over a 3-inch provider to delete a 
printer.